Skip to main content
Resource Center/Hardware/Cluster Operations
GETCluster OperationsSince 0.6SynchronousAuth Required

QueryCluster

QueryCluster

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • nameStringRequired

      The resource name.

    • uuidStringRequired

      The resource UUID.

    • descriptionStringRequired

      The detailed description of the resource.

    • stateStringRequired

      The cluster state.

    • hypervisorTypeStringRequired

      The hypervisor type.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • zoneUuidStringRequired

      The zone UUID.

    • typeStringRequired

      The reserved field.

Endpoint

GET/zstack/v1/clusters

/zstack/v1/clusters

Operation ID

QueryCluster

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/clusters' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "name": "cluster1", "uuid": "41f3a4eb130347a2af6d7f2e0d21fab0", "description": "test", "state": "Enabled", "hypervisorType": "KVM", "createDate": "Jun 7, 2017 9:20:13 PM", "lastOpDate": "Jun 7, 2017 9:20:13 PM", "zoneUuid": "aad01c8b25774796b2e341ec51a7c9c1", "type": "zstack" } ] }

Change History

This API has no change history records yet.

View all change history